# Documentation
- [Index](README.md)
  - [Demos](README.md#demos)
  - [Features](README.md#features)
  - [Requirements](README.md#requirements)
  - [Install](README.md#install)
  - [Build](README.md#build)
- [Screenshots](docs/screenshots.md#screenshots)
- [Gettings started](docs/getting-started.md#getting-started)
- API
  - [Properties](docs/properties.md#properties)
  - [Events](docs/events.md#events)
  - [Methods](docs/methods.md#methods)
  - [Api Object](docs/api-object.md#api-object)
  - [Overriding defaults](docs/defaults.md#overriding-defaults)
  - [Color manipulation](docs/color.md#color-manipulation)
- [Dimensions](docs/dimensions.md#dimensions)
- [Theming](docs/theming.md#theming)

## Demos
Live demos available at [https://chromoselector.netlify.com](https://chromoselector.netlify.com).

## Features
- Inline and static picker modes
- Supports the following color formats:
  - RGB
  - RGBA
  - HEX
  - HEXA
  - HSL
  - HSLA
  - CMYK
- Embedded side panel
- Extensive API
- Touch screen support
- Themable
- Resizable

## Requirements
#### jQuery
- jQuery 1.3+

#### Browser
- Firefox 3.5+
- Chrome 4+
- Safari 4+
- Opera 12+
- Internet Explorer 9+
- Android Browser 2.2+

## Install
```sh
npm install chromoselector --save
```

Or download from [https://github.com/chromoselector/chromoselector/releases](https://github.com/chromoselector/chromoselector/releases)

## Build
```sh
git clone https://github.com/chromoselector/chromoselector.git
cd chromoselector
npm install
npm run dist
```
